Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignDatasetParameter

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseDatasetParameter
          net.sf.jasperreports.engine.design.JRDesignDatasetParameter

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRDatasetParameter

Direct Known Subclasses:
  JRDesignSubreportParameter

    public class JRDesignDatasetParameter

extends JRBaseDatasetParameter
implements JRChangeEventsSupport

Implementation of `JRDatasetParameter` used at design time.

Version:
  $Id: JRDesignDatasetParameter.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_EXPRESSION`
`static java.lang.String` | `PROPERTY_NAME`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseDatasetParameter
`expression, name`

Constructor Summary
`JRDesignDatasetParameter()`

Method Summary
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`void` | `setExpression(JRExpression expression)`
`void` | `setName(java.lang.String name)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseDatasetParameter
`clone, getExpression, getName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

See Also:
  Constant Field Values

### PROPERTY_EXPRESSION

    public static final java.lang.String PROPERTY_EXPRESSION

See Also:
  Constant Field Values

Constructor Detail

### JRDesignDatasetParameter

    public JRDesignDatasetParameter()

Method Detail

### setName

    public void setName(java.lang.String name)

### setExpression

    public void setExpression(JRExpression expression)

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com